kind: pipeline

steps:
- name: build
  image: klakegg/hugo
  volumes:
  - name: dist
    path: dist/
  commands:
  - hugo
- name: deploy
  image: amazon/aws-cli
  environment:
    AWS_ACCESS_KEY_ID:
      from_secret: AWS_ACCESS_KEY
    AWS_SECRET_ACCESS_KEY:
      from_secret: AWS_SECRET
    AWS_DEFAULT_REGION: us-east-1
  volumes:
  - name: dist
    path: dist/
  commands:
  - aws s3 sync ./dist s3://conductor.5sigma.io --delete;
  when:
    event:
      - promote
    target:
      - staging
      - production


